;---

#ifndef __CWSDRV_H__
#define __CWSDRV_H__

#regcmd "_cwsdrv_init@4","cwsdrv.dll"

;---

#define global SND_DEFAULT			0

#define global CWS_PLAY_NOLOOP		0
#define global CWS_PLAY_LOOP		1
#define global CWS_PLAY_CONTINUE	2

#define global CWS_ENABLE_MIDI		1
#define global CWS_ENABLE_WAVE		2

#define global CWS_FADE_NONE		0
#define global CWS_FADE_OUT			1
#define global CWS_FADE_IN			2

#define global CWS_TONE_NOLOOP		0
#define global CWS_TONE_LOOP		1

#define global CWS_MASK_ALL			0

#define global CWS_MASK_MUTE		0
#define global CWS_MASK_PLAY		1
#define global CWS_MASK_INVERT		-1

;---

#define DS_SUCCEEDED				0		; I
#define DS_FAILURE					-100001	; s
#define DS_NOT_INITALIZED			-100002	; DirectSoundĂȂ
#define DS_CANNOT_OPEN				-100003	; t@CJȂ
#define DS_NOT_WAVFILE				-100004	; WAVt@Cł͂Ȃ
#define DS_INVALID_FILE				-100005	; LPCMt@Cł͂Ȃ
#define DS_INVALID_FREQ				-100006	; LȎgł͂Ȃ
#define DS_CANNOT_CREATE_BUFFER 	-100007	; obt@쐬łȂ
#define DS_OUT_OF_MEMORY			-100008	; ԃobt@쐬pȂ
#define DS_NOT_PCMFILE				-100009	; PCMt@Cł͂Ȃ
#define DS_BUFFER_NOT_FOUND			-100010	; obt@݂Ȃ
#define DS_CANNOT_LOCK_BUFFER		-100011	; obt@bNłȂ

#define MIDI_OK						0		; 
#define MIDI_SUCCEEDED				0		; 
#define MIDI_ERROR					-300001	; ُI
#define MIDI_FAILURE				-300001	; s
#define MIDI_ALREADY_OPENED			-300002	; ̃foCX͂łɊJĂ
#define MIDI_DEVICE_CANNOT_OPEN		-300003	; foCXJȂ
#define MIDI_DEVICE_NOT_OPENED		-300004	; foCXJĂȂ

#define ML_OK						0		; 
#define ML_SUCCEEDED				0		; 
#define ML_ERROR					-400001	; ُI
#define ML_FAILURE					-400001	; s
#define ML_TIMER_NOT_STARTED		-400002	; ^C}[쓮ĂȂ
#define ML_FILE_OPEN_ERROR			-400003	; t@CJȂ
#define ML_DATA_NOT_LOADED			-400004	; f[^ǂłȂ
#define ML_NOT_WORKING				-400005	; 삵ĂȂ
#define ML_INVALID_PARAMETER		-400006	; ȃp[^

#define CWS_OK						0		; I
#define CWS_SUCCEEDED				0		; 
#define CWS_FAILED					-500001	; s
#define CWS_OUT_OF_MEMORY			-500002	; Ȃ
#define CWS_NOT_INITALIZED			-500003	; ĂȂ
#define CWS_INVALID_PARAMETER		-500004	; ȃp[^

;---

#enum	CMD_drv_bye=$000
#enum	CMD_drv_ini
#enum	CMD_mus_bye
#enum	CMD_mus_chmask
#enum	CMD_mus_createtone
#enum	CMD_mus_fade
#enum	CMD_mus_ini
#enum	CMD_mus_load
#enum	CMD_mus_loaddrum
#enum	CMD_mus_loadtone
#enum	CMD_mus_play
#enum	CMD_mus_stop
#enum	CMD_snd_create
#enum	CMD_snd_create_dpcm
#enum	CMD_snd_dup
#enum	CMD_snd_load
#enum	CMD_snd_play
#enum	CMD_snd_release
#enum	CMD_snd_setfreq
#enum	CMD_snd_setmvol
#enum	CMD_snd_setpan
#enum	CMD_snd_setpan2
#enum	CMD_snd_setvol
#enum	CMD_snd_setvol2
#enum	CMD_snd_stop
#enum	CMD_snd_write

#enum	FUNC_snd_getsize=$100

;---

#cmd	drv_bye						CMD_drv_bye
#cmd	drv_ini						CMD_drv_ini

#cmd	mus_bye						CMD_mus_bye
#cmd	mus_chmask					CMD_mus_chmask
#cmd	mus_createtone				CMD_mus_createtone
#cmd	mus_fade					CMD_mus_fade
#cmd	mus_ini						CMD_mus_ini
#cmd	mus_load					CMD_mus_load
#cmd	mus_loaddrum				CMD_mus_loaddrum
#cmd	mus_loadtone				CMD_mus_loadtone
#cmd	mus_play					CMD_mus_play
#cmd	mus_stop					CMD_mus_stop

#cmd	snd_create					CMD_snd_create
#cmd	snd_create_dpcm				CMD_snd_create_dpcm
#cmd	snd_dup						CMD_snd_dup
#cmd	snd_load					CMD_snd_load
#cmd	snd_play					CMD_snd_play
#cmd	snd_release					CMD_snd_release
#cmd	snd_setfreq					CMD_snd_setfreq
#cmd	snd_setmvol					CMD_snd_setmvol
#cmd	snd_setpan					CMD_snd_setpan
#cmd	snd_setpan2					CMD_snd_setpan2
#cmd	snd_setvol					CMD_snd_setvol
#cmd	snd_setvol2					CMD_snd_setvol2
#cmd	snd_stop					CMD_snd_stop
#cmd	snd_write					CMD_snd_write

#cmd	snd_getsize					FUNC_snd_getsize
